Subject: Re: bug#53038: 28.0.50; problem building

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Jan 2022 14:55:42 +0200

> From: [email-masked]
> Cc: [email-masked]
> Date: Fri, 07 Jan 2022 13:39:34 +0100
> 
> > Yes, "make V=1".
> 
> I get this:
> make[2]: Entering directory '/mnt/fast/emacs2022/emacs/admin/unidata'
> "../../src/bootstrap-emacs" -batch --no-site-file --no-site-lisp -l emoji.el -f emoji--generate-file ../../lisp/international/emoji-labels.el
> Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" "emoji.el")
> 
> running the command manually I get the same error.
> 
> Since emoji.el is not present in admin/unidata  but rather in
> lisp/international/emoji.el, I suppose bootstrap-emacs load path is set
> somewhere? 

Yes.  So the first thing to look at where we fail to load emoji.el is
the value of Vload_path.